com.hazelcast.core

## Enum EntryEventType

- java.lang.Object
- - java.lang.Enum<EntryEventType>
  - - com.hazelcast.core.EntryEventType

- All Implemented Interfaces:
    Serializable, Comparable<EntryEventType>

      public enum EntryEventType
      extends Enum<EntryEventType>

  Type of entry event.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDED` Fired if an entry is added.
    `CLEAR_ALL` Fired if all entries are cleared.
    `EVICT_ALL` Fired if all entries are evicted.
    `EVICTED` Fired if an entry is evicted.
    `EXPIRED` Fired if an entry is expired.
    `INVALIDATION` Fired if an entry is invalidated.
    `LOADED` Fired if an entry is loaded.
    `MERGED` Fired if an entry is merged after a network partition.
    `REMOVED` Fired if an entry is removed.
    `UPDATED` Fired if an entry is updated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EntryEventType` | `getByType(int typeId)`
    `int` | `getType()`
    `static EntryEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EntryEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDED

          public static final EntryEventType ADDED

      Fired if an entry is added.

    - #### REMOVED

          public static final EntryEventType REMOVED

      Fired if an entry is removed.

    - #### UPDATED

          public static final EntryEventType UPDATED

      Fired if an entry is updated.

    - #### EVICTED

          public static final EntryEventType EVICTED

      Fired if an entry is evicted.

    - #### EVICT_ALL

          public static final EntryEventType EVICT_ALL

      Fired if all entries are evicted.

    - #### CLEAR_ALL

          public static final EntryEventType CLEAR_ALL

      Fired if all entries are cleared.

    - #### MERGED

          public static final EntryEventType MERGED

      Fired if an entry is merged after a network partition.

    - #### EXPIRED

          public static final EntryEventType EXPIRED

      Fired if an entry is expired.

    - #### INVALIDATION

          public static final EntryEventType INVALIDATION

      Fired if an entry is invalidated.

    - #### LOADED

          public static final EntryEventType LOADED

      Fired if an entry is loaded.

  - ### Method Detail

    - #### values

          public static EntryEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntryEventType c : EntryEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntryEventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public int getType()

      Returns:
        the event type ID

    - #### getByType

          public static EntryEventType getByType(int typeId)

      Returns:
        the matching EntryEventType for the supplied `typeId` or `null` if there is no match

Copyright © 2020. All rights reserved.